Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031421
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] Z. Othersminoralways2015-11-06 09:572015-11-12 19:24
ReportermaiteView Statuspublic 
Assigned Toaferraz 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9e87509d3090
ProjectionnoneETAnoneTarget Version3.0PR15Q3.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0031421: Business Partner name defined in bank statement line is not loaded in Description field when Add Transaction from Match Statemen

DescriptionBefore Match Statement refactor, when running Add TRansaction process from Match Statement button, both Business Partner Name and Description values where loaded in "Descrition" field when selecting "GL Item" type

Business Partner Name information is necessary in order to perform a proper matching
Steps To Reproduce1. Access Cuenta de Banco financial account, create new Bank Statement record
2. Add Bank Statement line seeting Business Partner Name as "name of my bp" and Description as "bsl description". Process bank statement
3. Run "Match Statement" process and press Add Transaction button (+) from your line. Realize that Description field only contains "bsl description"

If you follow similar process in version prior to refctor (for example MP30.3) you can verify that description field when trying to match against GL Item type is

"name of my bp
 bsl description"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 00313853.0PR16Q1 closedaferraz Business Partner name defined in bank statement line is not loaded in Description field when Add Transaction from Match Statemen 

-  Notes
(0081785)
hgbot (developer)
2015-11-12 19:24

Repository: erp/backports/3.0PR15Q3.4
Changeset: 9e87509d30908805601bd46b557ea0da8471f049
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Tue Nov 10 19:05:45 2015 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/9e87509d30908805601bd46b557ea0da8471f049 [^]

Fixes issue 31421: BusinessPartnerName not loaded in AddTransaction description

Add Transaction description will be loaded with Business Partner name + Bank Statement Line description, in case Business Partner name is not empty.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddTransactionFilterExpression.java
---
(0081789)
vmromanos (developer)
2015-11-12 19:24

Code review + testing OK

- Issue History
Date Modified Username Field Change
2015-11-10 19:07 aferraz Type defect => backport
2015-11-10 19:07 aferraz Target Version 3.0PR16Q1 => 3.0PR15Q3.5
2015-11-12 17:36 vmromanos Target Version 3.0PR15Q3.5 => 3.0PR15Q3.4
2015-11-12 19:24 hgbot Checkin
2015-11-12 19:24 hgbot Note Added: 0081785
2015-11-12 19:24 hgbot Status scheduled => resolved
2015-11-12 19:24 hgbot Resolution open => fixed
2015-11-12 19:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q3.4/rev/9e87509d30908805601bd46b557ea0da8471f049 [^]
2015-11-12 19:24 vmromanos Review Assigned To => vmromanos
2015-11-12 19:24 vmromanos Note Added: 0081789
2015-11-12 19:24 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker